﻿Public Class Form1

	' **********************************************
	' 印刷_Click を呼び出すメニュー
	' **********************************************
	Private Sub 印刷開始_MenuItem_Click( _
	ByVal sender As System.Object, _
	ByVal e As System.EventArgs) Handles 印刷開始_MenuItem.Click

		Call 印刷_Click(Me.印刷, e)

	End Sub

	' **********************************************
	' 通常の開始ボタン
	' **********************************************
	Private Sub 印刷_Click( _
	ByVal sender As System.Object, _
	ByVal e As System.EventArgs) Handles 印刷.Click

		' デバッグ出力
		Console.WriteLine(CType(sender, Button).Name)
		Console.WriteLine(e.ToString)

		' 印刷プレビュー開始
		Me.印刷プレビューダイアログ.ShowDialog()

	End Sub

	' **********************************************
	' 初期処理
	' **********************************************
	Private Sub Form1_Load( _
	ByVal sender As System.Object, _
	ByVal e As System.EventArgs) Handles MyBase.Load

		' 1) ステータスバーへメッセージ
		' ( 呼び出し先で引数を使わないので Nothing を使用 )
		Call 印刷_MouseLeave(Nothing, Nothing)

		' 2) 印刷イベントの登録
		' 印刷イベントをプレビューから呼び出せるように登録する
		AddHandler pd.PrintPage, AddressOf pd_PrintPage

	End Sub


	' **********************************************
	' マウス位置によるメッセージの変化
	' **********************************************
	Private Sub 印刷_MouseEnter( _
	ByVal sender As System.Object, _
	ByVal e As System.EventArgs) Handles 印刷.MouseEnter

		Me.ステータス.Text = "クリックして下さい"

	End Sub

	Private Sub 印刷_MouseLeave( _
	ByVal sender As System.Object, _
	ByVal e As System.EventArgs) Handles 印刷.MouseLeave

		Me.ステータス.Text = "印刷処理サンプルです"

	End Sub

End Class
