﻿Partial Class Form1

	' 印刷用オブジェクトと変数
	Private pf As Font = New Font("ＭＳ 明朝", 12)
	Private prContext As System.Drawing.Graphics
	Private topMargin As Integer
	Private leftMargin As Integer

	' ******************************************************
	' 実際の印刷処理
	' ******************************************************
	Private Sub pd_PrintPage(ByVal sender As System.Object, _
	ByVal e As System.Drawing.Printing.PrintPageEventArgs)

		' 左側余白
		leftMargin = e.MarginBounds.Left
		' 上側余白
		topMargin = e.MarginBounds.Top
		' 現在のコンテキストを取得
		prContext = e.Graphics

		' 上部上限ライン
		prContext.DrawLine( _
		 Pens.Black, _
		 leftMargin, _
		 topMargin, _
		 leftMargin + (e.PageBounds.Width - 2 * leftMargin), _
		 topMargin _
		 )

		' 左側ライン
		prContext.DrawLine( _
		 Pens.Black, _
		 leftMargin, _
		 topMargin, _
		 leftMargin, _
		 topMargin + (e.PageBounds.Height - 2 * topMargin) _
		 )

		' 右側ライン
		prContext.DrawLine( _
		 Pens.Black, _
		 leftMargin + (e.PageBounds.Width - 2 * leftMargin), _
		 topMargin, _
		 leftMargin + (e.PageBounds.Width - 2 * leftMargin), _
		 topMargin + (e.PageBounds.Height - 2 * topMargin) _
		 )

		' 下部下限ライン
		prContext.DrawLine( _
		 Pens.Black, _
		 leftMargin, _
		 topMargin + (e.PageBounds.Height - 2 * topMargin), _
		 leftMargin + (e.PageBounds.Width - 2 * leftMargin), _
		 topMargin + (e.PageBounds.Height - 2 * topMargin) _
		 )

		PrString(10, 100, "日本語表示")
		PrString(1, 0, "日本語表示")

		' 次のページがある場合は、True
		' ここでは、1行印字して終わり
		e.HasMorePages = False


	End Sub

	' ******************************************************
	' 文字列を指定行の先頭から印字
	' ******************************************************
	Private Sub PrString(ByVal row As Integer, ByVal x As Integer, ByVal str As String)

		Dim yPos As Integer = 0
		' フォントの高さで一行の高さを決定
		yPos = topMargin + (row - 1) * pf.GetHeight(prContext)
		' 印字可能な左端から文字列をセットする
		prContext.DrawString(str, pf, Brushes.Black, leftMargin + x, yPos)

	End Sub

End Class
