﻿Partial Class Form1

	' 印刷処理の実体の定義
	Private pd As System.Drawing.Printing.PrintDocument = New System.Drawing.Printing.PrintDocument

	' プリンタ選択ダイアログ
	Private prtDialog As PrintDialog = New PrintDialog()

	' **********************************************
	' 印刷プレビューの初期化
	' **********************************************
	Private Sub 印刷プレビューダイアログ_Load( _
	ByVal sender As System.Object, _
	ByVal e As System.EventArgs) Handles 印刷プレビューダイアログ.Load

		' デスクトップ左上
		印刷プレビューダイアログ.DesktopLocation = New System.Drawing.Point(0, 0)

		' 印刷ドキュメント設定
		Me.印刷プレビューダイアログ.Document = pd

		' =====================================================
		' ここから印刷ボタンの改造
		' =====================================================
		' 現在の印刷アイコンを取得
		Dim tool As ToolStrip = 印刷プレビューダイアログ.Controls(1)
		Dim img As System.Drawing.Image = tool.Items(0).Image

		' 新しいツールバー用ボタンを作成
		Dim ToolStripButton1 As New System.Windows.Forms.ToolStripButton()
		ToolStripButton1.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image
		' 取得したイメージをセット
		ToolStripButton1.Image = img
		ToolStripButton1.ImageTransparentColor = System.Drawing.Color.Magenta
		ToolStripButton1.Name = "ToolStripButton1"
		ToolStripButton1.Size = New System.Drawing.Size(23, 22)
		ToolStripButton1.Text = "プリンタ選択"
		' 現在の印刷ボタンを削除
		tool.Items.RemoveAt(0)
		' 新しい印刷ボタンを追加
		tool.Items.Insert(0, ToolStripButton1)
		' ボタンにイベント登録
		AddHandler ToolStripButton1.Click, AddressOf print_start
		' =====================================================
		' ここまで( 印刷ボタンの改造 )
		' =====================================================

		' プリンタ選択ダイアログの設定
		prtDialog.PrinterSettings = New System.Drawing.Printing.PrinterSettings()
		prtDialog.Document = pd

	End Sub

	' ******************************************************
	' 印刷ボタンの処理
	' ******************************************************
	Private Sub print_start(ByVal sender As System.Object, _
	  ByVal e As System.EventArgs)

		If prtDialog.ShowDialog() = System.Windows.Forms.DialogResult.OK Then
			pd.Print()
		End If

	End Sub

End Class
